Bug 1031174 - [abrt] libreoffice-core-4.1.3.2-4.fc19: ParaPortion::MarkInvalid: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-4.1.3.2-4.fc19: ParaPortion::MarkInvalid: Process /us...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:88f39b1502118166502a8680079...
:
: 922698 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 14:44 EST by Uosef
Modified: 2013-12-07 01:59 EST (History)
7 users (show)

See Also:
Fixed In Version: libreoffice-4.1.3.2-8.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 23:03:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (61.60 KB, text/plain)
2013-11-15 14:44 EST, Uosef
no flags Details
File: build_ids (10.73 KB, text/plain)
2013-11-15 14:44 EST, Uosef
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-15 14:44 EST, Uosef
no flags Details
File: core_backtrace (26.42 KB, text/plain)
2013-11-15 14:44 EST, Uosef
no flags Details
File: dso_list (27.86 KB, text/plain)
2013-11-15 14:44 EST, Uosef
no flags Details
File: environ (2.04 KB, text/plain)
2013-11-15 14:45 EST, Uosef
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-15 14:45 EST, Uosef
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-15 14:45 EST, Uosef
no flags Details
File: maps (134.47 KB, text/plain)
2013-11-15 14:45 EST, Uosef
no flags Details
File: open_fds (835 bytes, text/plain)
2013-11-15 14:45 EST, Uosef
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2013-11-15 14:45 EST, Uosef
no flags Details
File: var_log_messages (359 bytes, text/plain)
2013-11-15 14:45 EST, Uosef
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 69971 None None None Never

  None (edit)
Description Uosef 2013-11-15 14:44:18 EST
Version-Release number of selected component:
libreoffice-core-4.1.3.2-4.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc /home/work/Downloads/rptOneBillUserCdr.xls --splash-pipe=5
crash_function: ParaPortion::MarkInvalid
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.11.7-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ParaPortion::MarkInvalid at /usr/src/debug/libreoffice-4.1.3.2/editeng/source/editeng/editdoc.cxx:556
 #1 ImpEditEngine::ImpInsertText at /usr/src/debug/libreoffice-4.1.3.2/editeng/source/editeng/impedit2.cxx:2702
 #2 ImpEditEngine::SetText at /usr/src/debug/libreoffice-4.1.3.2/editeng/source/editeng/impedit2.cxx:660
 #3 EditEngine::SetText at /usr/src/debug/libreoffice-4.1.3.2/editeng/source/editeng/editeng.cxx:1534
 #4 ScInputHandler::InputReplaceSelection at /usr/src/debug/libreoffice-4.1.3.2/sc/source/ui/app/inputhdl.cxx:3890
 #5 ScModule::InputReplaceSelection at /usr/src/debug/libreoffice-4.1.3.2/sc/source/ui/app/scmod.cxx:1543
 #6 formula::FormulaDlg_Impl::DblClkHdl at /usr/src/debug/libreoffice-4.1.3.2/formula/source/ui/dlg/formula.cxx:1038
 #7 formula::FormulaDlg_Impl::BtnHdl at /usr/src/debug/libreoffice-4.1.3.2/formula/source/ui/dlg/formula.cxx:1002
 #8 Call at /usr/src/debug/libreoffice-4.1.3.2/include/tools/link.hxx:123
 #9 Control::ImplCallEventListenersAndHandler at /usr/src/debug/libreoffice-4.1.3.2/vcl/source/control/ctrl.cxx:367

Potential duplicate: bug 922698
Comment 1 Uosef 2013-11-15 14:44:30 EST
Created attachment 824673 [details]
File: backtrace
Comment 2 Uosef 2013-11-15 14:44:37 EST
Created attachment 824674 [details]
File: build_ids
Comment 3 Uosef 2013-11-15 14:44:42 EST
Created attachment 824675 [details]
File: cgroup
Comment 4 Uosef 2013-11-15 14:44:49 EST
Created attachment 824676 [details]
File: core_backtrace
Comment 5 Uosef 2013-11-15 14:44:55 EST
Created attachment 824677 [details]
File: dso_list
Comment 6 Uosef 2013-11-15 14:45:00 EST
Created attachment 824678 [details]
File: environ
Comment 7 Uosef 2013-11-15 14:45:07 EST
Created attachment 824679 [details]
File: exploitable
Comment 8 Uosef 2013-11-15 14:45:12 EST
Created attachment 824680 [details]
File: limits
Comment 9 Uosef 2013-11-15 14:45:26 EST
Created attachment 824681 [details]
File: maps
Comment 10 Uosef 2013-11-15 14:45:30 EST
Created attachment 824682 [details]
File: open_fds
Comment 11 Uosef 2013-11-15 14:45:34 EST
Created attachment 824683 [details]
File: proc_pid_status
Comment 12 Uosef 2013-11-15 14:45:39 EST
Created attachment 824684 [details]
File: var_log_messages
Comment 13 Caolan McNamara 2013-11-21 11:21:33 EST
I'm hoping this is part of a cluster of bugs fixed by http://cgit.freedesktop.org/libreoffice/core/commit/?id=aadef0360d416523db483755e08d268cc499240b&h=libreoffice-4-1
Comment 14 Caolan McNamara 2013-11-21 11:23:59 EST
*** Bug 922698 has been marked as a duplicate of this bug. ***
Comment 15 Caolan McNamara 2013-11-21 11:26:54 EST
lets try backporting that early then...
Comment 16 Fedora Update System 2013-11-22 03:54:52 EST
libreoffice-4.1.3.2-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.1.3.2-6.fc20
Comment 17 Fedora Update System 2013-11-22 03:56:18 EST
libreoffice-4.1.3.2-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.3.2-6.fc19
Comment 18 Fedora Update System 2013-11-23 14:42:51 EST
Package libreoffice-4.1.3.2-6.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.1.3.2-6.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21861/libreoffice-4.1.3.2-6.fc19
then log in and leave karma (feedback).
Comment 19 Fedora Update System 2013-11-25 23:03:03 EST
libreoffice-4.1.3.2-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2013-11-28 04:31:30 EST
libreoffice-4.1.3.2-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.3.2-8.fc19
Comment 21 Fedora Update System 2013-12-07 01:59:41 EST
libreoffice-4.1.3.2-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.